% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/deparse.R
\name{.deparseFinal}
\alias{.deparseFinal}
\title{Deparse finalize a control or related object into a language object}
\usage{
.deparseFinal(default, object, w, var, fun = NULL)
}
\arguments{
\item{default}{A default object used for comparison; This is the
estimation control procedure.  It should have a class matching
the function that created it.}

\item{object}{The object to be deparsed into a language exression}

\item{w}{A vector of indices indicating which elements are
different and need to be deparsed. This likely comes from
`.deparseDifferent()`}

\item{var}{A string representing the variable name to be assigned
in the deparsed expression.}

\item{fun}{An optional custom function to handle specific elements
during deparsing. Default is NULL. This handles things that are
specific to an estimation control and is used by functions like
`rxUiDeparse.saemControl()`}
}
\value{
A language object representing the deparsed expression.
}
\description{
This function deparses an object into a language expression,
optionally using a custom function for specific elements.
}
\author{
Matthew L. Fidler
}
\keyword{internal}
