% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hook.R
\name{preProcessHooksAdd}
\alias{preProcessHooksAdd}
\title{This adds a pre-processing hook to nlmixr2est}
\usage{
preProcessHooksAdd(name, fun)
}
\arguments{
\item{name}{Character vector representing the name of the hook}

\item{fun}{The function to run}
}
\value{
The function that was added (invisibly)
}
\description{
This pre-processing hook is run before the estimation process begins.  It is
useful for modifying the user interface, the estimation object, the data, or
the control object before the estimation process begins.  The function must
take four arguments: ui, est, data, and control.  The function must return a
list with elements 'ui', 'est', 'data', and/or 'control'.  If the element is
not returned, the original object is used.  If the element is returned, the
original object is replaced with the new object.
}
\seealso{
Other preProcessHooks: 
\code{\link{preProcessHooks}()},
\code{\link{preProcessHooksRm}()}
}
\author{
Matthew L. Fidler
}
\concept{preProcessHooks}
\keyword{internal}
